shithub: sox

Download patch

ref: ccf08ed99725590e052a33932717bfb9a57915a2
parent: ebdfcc9fd2ad4b9655a4a9d8b9822fb67dc68333
author: cbagwell <cbagwell>
date: Sun Feb 25 17:41:07 EST 2007

Remove library info from --cflags.  Still need to update --libs
to include rpath info for Solaris/NetBSD as described in 1666609.

--- a/ChangeLog
+++ b/ChangeLog
@@ -32,9 +32,12 @@
   o Add missing RM define to Makefiles so installs work.
    (Bug# 1666599) (cbagwell)
 
-
   Internal improvements:
 
+  o Renamed libst to libsox for name recongition and to avoid
+    duplications with other existing libst libraries. (Rueben)
+  o Renamed libst-config to more standard sox-config. (cbagwell)
+  o Removed library information from sox-config --cflags. (cbagwell)
 
 sox-13.0.0
 ----------
--- a/configure.ac
+++ b/configure.ac
@@ -181,7 +181,7 @@
 dnl Generate output files.
 AX_CREATE_STDINT_H(src/soxstdint.h)
 AC_CONFIG_FILES(Makefile src/Makefile src/libgsm/Makefile
-		amr-wb/Makefile src/libsox-config)
+		amr-wb/Makefile src/sox-config)
 AC_OUTPUT
 
 if test "$found_libgsm" = "yes"; then
--- a/src/libsox-config.in
+++ /dev/null
@@ -1,28 +1,0 @@
-#! /bin/sh
-#
-# @configure_input@
-#
-
-prefix="@prefix@"
-exec_prefix="@exec_prefix@"
-includedir="@includedir@"
-libdir="@libdir@"
-libs='@LIBS@'
-
-case "$1" in
---prefix)
-        echo $prefix;;
---includedir)
-        echo $includedir;;
---libdir)
-        echo $libdir;;
---libs)
-        echo $libs;;
---cflags)
-        echo "-L'$libdir' -I'$includedir'";;
-*)
-        echo "Usage: $0 [--prefix|--includedir|--libdir|--cflags|--libs]"
-        exit 1;;
-esac
-
-exit 0
--- /dev/null
+++ b/src/sox-config.in
@@ -1,0 +1,34 @@
+#! /bin/sh
+#
+# src/sox-config.  Generated from sox-config.in by configure.
+#
+
+# FIXME: libsox version (from sox.h) should be here.
+#version=x.x.x
+prefix="/usr/local"
+exec_prefix="${prefix}"
+includedir="${prefix}/include"
+libdir="${exec_prefix}/lib"
+libs='-lmp3lame -lmad -lFLAC -lvorbisenc -lvorbisfile -logg -lasound -lm '
+
+case "$1" in
+--prefix)
+        echo $prefix;;
+--exec-prefix)
+        echo $exec_prefix;;
+--includedir)
+        echo $includedir;;
+--libdir)
+        echo $libdir;;
+--libs)
+        echo $libs;;
+--cflags)
+        echo "-I'$includedir'";;
+#--version)
+#        echo "$version";;
+*)
+        echo "Usage: $0 [--prefix|--exec-prefix|--includedir|--libdir|--libs|--cflags]"
+        exit 1;;
+esac
+
+exit 0